import { CookieService } from 'ngx-cookie-service';
import { NgForm } from '@angular/forms';
import { LocalStorageService } from '@testlocallibrary/shared-kernel/services/local-storage';
import * as i0 from "@angular/core";
export declare class RoutingService {
    private localStorageService;
    private cookieService;
    private platformId;
    currentLanguage: string;
    private isBrowser;
    constructor(localStorageService: LocalStorageService, cookieService: CookieService, platformId: Object);
    getRouterName(name: string): string;
    getWhiteRouterName(name: string): string;
    setCurrentUrl(): void;
    resetDynamicForm(form: NgForm): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RoutingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RoutingService>;
}
